class MyError(Exception): pass

def oops():
    raise MyError('Hakować!')

def doomed():
    try:
        oops()
    except IndexError:
        print('przechwycono błąd indeksu!')
    except MyError as exc:
        print('przechwycono błąd:', MyError, exc)
    else:
        print('nie przechwycono żadnego błędu...')

if __name__ == '__main__':
    doomed()

